Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class RemoteMonitoredProxyCreationListener

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractMonitoredProxyCreationListener
  - - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.RemoteMonitoredProxyCreationListener

All Implemented Interfaces:
  `IProxyCreationListener`

    public class RemoteMonitoredProxyCreationListener
    extends AbstractMonitoredProxyCreationListener

Implementation of `IProxyCreationListener` for remote resources.

### Field Summary

Fields
`protected boolean` `processProxies` Whether this listener should process proxies.
`protected IResourceDependencyRemoteResolver` `remoteResolver` The remote resolver.

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractMonitoredProxyCreationListener

`diagnostic, tspm`

### Constructor Summary

Constructors
`RemoteMonitoredProxyCreationListener​(ThreadSafeProgressMonitor monitor, IResourceDependencyRemoteResolver remoteResolver, DiagnosticSupport diagnostic)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `proxyCreated​(Resource source, EObject eObject, EStructuralFeature feature, EObject proxy, int position)` This will be called when a proxy is created from one of the parser pool's parsers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### remoteResolver

    protected final IResourceDependencyRemoteResolver remoteResolver

The remote resolver.

#### processProxies

    protected final boolean processProxies

Whether this listener should process proxies.

### Constructor Detail

#### RemoteMonitoredProxyCreationListener

    public RemoteMonitoredProxyCreationListener​(ThreadSafeProgressMonitor monitor,
                                                IResourceDependencyRemoteResolver remoteResolver,
                                                DiagnosticSupport diagnostic)

Constructor.

Parameters:
  `monitor` - The progress monitor
  `dependencyProvider` - The dependency provider
  `diagnostic` - The diagnostic

### Method Detail

#### proxyCreated

    public void proxyCreated​(Resource source,
                             EObject eObject,
                             EStructuralFeature feature,
                             EObject proxy,
                             int position)

This will be called when a proxy is created from one of the parser pool's parsers.

Parameters:
  `source` - The resource in which a proxy has been created towards another.
  `eObject` - The EObject on which some feature is going to be set with a proxy value.
  `feature` - The structural feature which value will contain a proxy.
  `proxy` - The actual proxy created for this eObject's feature.
  `position` - Position at which the proxy is going to be inserted. This will be set to `-1` when the proxy is added at the end of the `eStructuralFeature`'s values list (for multi-valued features) or if said feature is single-valued.